Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020789
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] I. Performanceminorhave not tried2012-06-18 11:252012-06-27 05:28
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version3.0MP13
StatusclosedFix in branchFixed in SCM revision70514770c871
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020789: TriggerHandler currently flushes the DAL connection when disabling and enabling triggers

DescriptionThis can cause performance problems if the triggers need to be disabled and enabled during a sub-process which is repeated multiple times.

Steps To ReproduceThis can cause performance problems if the triggers need to be disabled and enabled during a sub-process which is repeated multiple times.

TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0049883)
hgbot (developer)
2012-06-18 11:32

Repository: erp/devel/pi
Changeset: 70514770c8717c4984c4616285db532db7a784df
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Jun 18 11:32:16 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/70514770c8717c4984c4616285db532db7a784df [^]

Fixed issue 20789. Removed flushes when disabling/enabling triggers in TriggerHandler to improve performance

---
M src/org/openbravo/dal/core/TriggerHandler.java
---
(0050058)
AugustoMauch (developer)
2012-06-25 11:14

changeset: 16908:a95907cb54ce
tag: tip
user: Antonio Moreno <antonio.moreno@openbravo.com>
date: Mon Jun 25 10:56:21 2012 +0200
files: src/org/openbravo/dal/core/TriggerHandler.java
description:
Related to 20789. Now the setting of the ThreadLocal will happen inside the try/catch
(0050059)
AugustoMauch (developer)
2012-06-25 11:17

Code reviewed and verified pi@a95907cb54ce
(0050110)
hudsonbot (developer)
2012-06-27 05:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/cf3a7135839f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-06-18 11:25 marvintm New Issue
2012-06-18 11:25 marvintm Assigned To => marvintm
2012-06-18 11:25 marvintm Modules => Core
2012-06-18 11:28 alostale Tag Attached: Performance
2012-06-18 11:32 hgbot Checkin
2012-06-18 11:32 hgbot Note Added: 0049883
2012-06-18 11:32 hgbot Status new => resolved
2012-06-18 11:32 hgbot Resolution open => fixed
2012-06-18 11:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/70514770c8717c4984c4616285db532db7a784df [^]
2012-06-25 11:14 AugustoMauch Note Added: 0050058
2012-06-25 11:17 AugustoMauch Note Added: 0050059
2012-06-25 11:17 AugustoMauch Status resolved => closed
2012-06-25 11:17 AugustoMauch Fixed in Version => 3.0MP13
2012-06-27 05:28 hudsonbot Checkin
2012-06-27 05:28 hudsonbot Note Added: 0050110


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker